Loading...
Searching...
No Matches
Exiv2::XmpNsInfo Struct Reference

Structure mapping XMP namespaces and (preferred) prefixes. More...

`#include <properties.hpp>`

## Classes

struct | Ns
| For comparison with namespace. More...
struct | Prefix
| For comparison with prefix. More...

## Public Member Functions

bool | operator== (const Ns &ns) const
| Comparison operator for namespace.
bool | operator== (const Prefix &prefix) const
| Comparison operator for prefix.

## Public Attributes

const char * | ns_
| Namespace.
const char * | prefix_
| (Preferred) prefix
const XmpPropertyInfo * | xmpPropertyInfo_
| List of known properties.
const char * | desc_
| Brief description of the namespace.

## Detailed Description

Structure mapping XMP namespaces and (preferred) prefixes.

The documentation for this struct was generated from the following file:

- properties.hpp